Skip to main content

cmind/apikey/v1/api_key_service.proto

Package: cmind.apikey.v1

Enums

ApiKeyState

ValueNumberDescription
API_KEY_STATE_UNSPECIFIED0
API_KEY_STATE_ACTIVE1
API_KEY_STATE_DISABLED2

Messages

ApiKey

ApiKey represents an API key for service access

FieldTypeNumberDescription
keystring1JWT-encoded key for display/use
stateApiKeyState2

ListApiKeysRequest

FieldTypeNumberDescription
idstring1Service ID - the deployment this key grants access to
tenantIdstring2

ListApiKeysResponse

FieldTypeNumberDescription
apiKeysrepeated ApiKey1

CreateApiKeyRequest

FieldTypeNumberDescription
idstring1Service ID - the deployment this key will grant access to
tenantIdstring2
labelstring3Human-readable label for display in the portal
expirationDateint644Optional Unix timestamp for key expiration

CreateApiKeyResponse

FieldTypeNumberDescription
apiKeyApiKey1

DeleteApiKeyRequest

FieldTypeNumberDescription
idstring1Service ID
tenantIdstring2
apiKeystring3JWT-encoded key to delete

DeleteApiKeyResponse

DisableApiKeyRequest

FieldTypeNumberDescription
idstring1Service ID
tenantIdstring2
apiKeystring3JWT-encoded key to disable

DisableApiKeyResponse

EnableApiKeyRequest

FieldTypeNumberDescription
idstring1Service ID
tenantIdstring2
apiKeystring3JWT-encoded key to enable

EnableApiKeyResponse

Services

ApiKeyService

ApiKeyService manages API keys for service deployments. API keys are scoped to individual services (one key = one service).

ListApiKeys

POST /cmind.apikey.v1.ApiKeyService/ListApiKeys

Request: ListApiKeysRequest

Response: ListApiKeysResponse

CreateApiKey

POST /cmind.apikey.v1.ApiKeyService/CreateApiKey

Request: CreateApiKeyRequest

Response: CreateApiKeyResponse

DeleteApiKey

POST /cmind.apikey.v1.ApiKeyService/DeleteApiKey

Request: DeleteApiKeyRequest

Response: DeleteApiKeyResponse

DisableApiKey

POST /cmind.apikey.v1.ApiKeyService/DisableApiKey

Request: DisableApiKeyRequest

Response: DisableApiKeyResponse

EnableApiKey

POST /cmind.apikey.v1.ApiKeyService/EnableApiKey

Request: EnableApiKeyRequest

Response: EnableApiKeyResponse